<template>
    <div>
        {{ title }}:
        <b>
            <template v-if="bool">
                {{ data ? "+" : "-" }}
            </template>
            <template v-else>{{ data }}</template>
        </b>
    </div>
</template>

<script>
export default {
    name: "ViewField",
    props: {
        namedData: [Object, String],
        name: [String, Number],
        title: String,
        bool: Boolean,
    },
    computed: {
        data() {
            const data =
                typeof this.name !== "undefined"
                    ? this.name
                    : this.namedData?.name;

            return typeof data !== "undefined" ? data : "-";
        },
    },
};
</script>

<style scoped></style>
